Copyright: Copyright ©J. Calitz


ReportIt Help Contents
Reportit - Report and File Printing

The Components

  .TPrintGridReport

. TPrintFile

  TPrintMemo

The Print Viewer

 The Print Viewer

Additional Information

 Product Information

 Order Information

 3rd Party Product Support

 Multi-Language Support

 Infopower Support

 Product Support

Types

About


Ordering Information
ORDER FORM

Software Registration of Calitz Bros. software

Cost of registration (as of 1 January 1996)

PRODUCT DESCRIPTION	PRICE
Aha file print utility 16 & 32 bit V5.X	$20
Sortit Grid components 16 & 32 bit V5.X	$50
GraphIt components 16 & 32 bit V5.X	$50
PrintIt components 16 & 32 bit V5.X	$50
ReportIt components 16 & 32 bit V5	$50
BandIt components 16 & 32 bit V5.X	$75
CB Suite 16 & 32 bit V5.X (Contains Sortit, GraphIt, PrintIt, ReportIt and BandIt	$150

Registered users of Sortit, GraphIt, PrintIt ,ReportIt or BandIt can contact Calitz Bros for details on how to upgrade to CB Suite at a reduced price.

How to register

For technical support or comments about any of these products, contact Calitz Bros. via E-Mail.

We make use of shareware payment processing services which ONLY handle orders for us.

For your convenience we now have four services through which you can register your copy of Calitz Bros. shareware, namely :

 ShareIt

 Kagi Software

 NorthStar Solutions

 Compuserve

1. ShareIt!

If you would like to register our products, you can do the registration online on the Internet at http://www.shareit.com and enter the program number there or select the Register Now icon next to the product name.

If you do not have access to the Internet, you can register via phone, fax or postal mail. Please print out the following form, and fax or mail it to:

Reimold & Schumann Internet Services

ShareIt!

Jahnstrasse 24

50676 Koeln Germany

Phone: +49-221-2407279 or +49-172-7229837

Fax: +49-221-2407278

E-Mail: register@shareit.com

Registration form for __________ (Product Name)

Program No.: __________ (Product Number)

Last name: ___________________________________

First name: ____________________________________

Street and #: ______________________________________

City, State, postal code: ________________________________

Country: _______________________________________

Phone: _____________________________________

Fax: ________________________________________

E-Mail: ______________________________________

How would like to receive the registration key/full version?

e-mail - fax - postal mail

How would you like to pay the registration fee :

credit card - money transfer - EuroCheque - cash

Credit card information (if applicable)

Credit card: Visa - Eurocard/Mastercard - American Express - Diners Club

Card holder: ________________________________

Card No.: ___________________________________

Date of Expiration : ___________________________________

Date / Signature ___________________________

     2. Kagi Software

     You may place your order through Kagi Software by E-Mail (encrypted), Fax or Postal Mail. They accept payment in cash, checks, money orders, Visa Card, Master Card and American Express Card.

     Use the supplied REGISTER.EXE program to order through Kagi Software and follow the on- line prompts.

3. NorthStar Solutions

NorthStar Solutions can easily be contacted FOR ORDERS ONLY via any of the following methods:

PHONED ORDERS:

Calls are taken 10 am - 8 pm, EST, Monday through Saturday

1-800-699-6395 (Calls from the U.S. only)

1-803-699-6395

FAXED ORDERS:

1-803-699-5465 (Available 24 hours. International and business orders encouraged.)

E-MAILED ORDERS:

America On-line: STARMAIL

Compuserve: 71561,2751

Internet: 71561.2751@compuserve.com

MAILED ORDERS:

You may register with a check or money order (U.S. currency) Make them payable  to  NorthStar Solutions  and send them to :

NorthStar Solutions

PO Box 25262

Columbia, SC 29224

Please provide (or be prepared to provide) the following information when ordering:

The program you are registering.

Your mailing address

Your Visa, MasterCard, or Discovery # and its expiration date (if using credit card).

Your E-Mail address (so NorthStar Solutions can send you E-Mail confirming  your order and so we can contact you to send you your registration codes and any important follow-up information, upgrade announcements,  etc. )

4. Compuserve

Go SWREG and use the following Registration ID's:

PRODUCT	REGISTRATION ID
Aha	11670
CB Grid  (SortIt)	13063
PrintIt	11546
ReportIt	11547
BandIt	14287
CBSuite	14162

Benefits of registration

Minor upgrades and bug fixes are free to registered users.

Registered users are informed of upgrades and new software releases.

Registered users may supply the components royalty-free in their source code.

Registered users will receive an activation code that deactivates nag screens  or nag messages on printouts.

On receipt of your order details, we will supply you a activation code by either e-mail, fax or postal mail that disables all nag screens and/or printouts.

Please note that we do not supply source code of our components !


Product Information

Overview

Reportit is a set of Visual Component Library Classes that makes printing easy for the Delphi programmer. Programming to print was always a difficult task for the programmer. Even in Delphi printing is still a problem.

 If you want to print a report you must use a report generator. A report generator has the following disadvantages:

* It is slow to start up.

* It must be set up separately from your application

* If something changes in your original Query or Table then the report must be adjusted as well.

* It is not part of your application and a Run Time Version of the Report Generator is normally  supplied with you application.

Report Generators are generally quite flexible when it comes to creating a variety of different reports.

If you want to print a form e.g. an Invoice or Job Card, it becomes more difficult with a Report Generator because of the disadvantages mentioned above.

Enter - Reportit

ReportIt can remove the above disadvantages because Reportit is a set of components that are linked into your executable.

* Reportit needs no licensing to end users. Only developers must have a license.

* Reportit can make use of your Query and Table components. If your table or Query changes then ReportIt knows about the changes because ReportIt uses you Table or Query components as input.

* Reportit can also print selected windows as they appear or mix them with Tables and/or Queries as required.

* Reportit can mix graphics with your text or tables and draw lines, rectangles, circles, ellipses etc. and fill them with any color and/or use a pattern for all solid figures.

* Reportit can change the headings of reports and use color as required.

* Reportit has a preview utility to view any page before printing. The Viewer has built-in Zoom and Scroll facilities. The Viewer is very fast and optimized for screen redraw and printing.

* No extra DLL is necessary.

* Reportit becomes part of your executable.


TabSpaces
TabSpaces Property

Applies to

TPrintFile components

Declaration

property TabSpaces: Integer;

Description

Indicates the number of spaces which will replace a tab character when a tab is encountered in a file. The default value is 3.


TPrintGridReport Events

OnAfterPrint

OnBeforePrint

OnNewPage

OnPrintFooter

OnPrintHeader


TPrintGridReport
 TPrintGridReport Component

Properties	Methods	Events

Unit

PrnGridR

Description

The PrintGridReport component is used to print the contents as selected on a TDBGrid component or any component that has TDBGrid as its base class. All the records selected by the TDBGrid  will be printed out as they appear on screen. The dataset can be either a TQuery or TTable component. The printing will wrap over to additional pages if that is necessary. By using the Fields Editor, the programmer can determine which fields are going to be printed.

Numerous settings can be applied to change the appearance of the Grid Report. Fonts, Colors and brushes can be changed as deemed necessary. The properties of the DBGrid are used by the  PrintGridReport component. Use the GridMinWidth property to let the component fit the TDBGrid in the minimum space possible. The HeaderTop and HeaderLeft properties indicate in Inches or Centimetre where the header should start. The same applies to the FooterTop and FooterLeft properties.

The HeaderEnabled and FooterEnabled properties indicate if the Header or Footer should be printed and the HeaderFilled and FooterFilled properties fill the background of the Header or Footer by using the current Brush and TextColor. The color of the items in the Grid itself are determined by the TDBGrid colors. The GridCentered property  indicate if the TDBGrid should be centered on the page.


3rd Party Product Support

Applies to

TPrintGridReport  component

TPrintGridReport currently uses a TDBGrid as the starting point of its information gathering process. It looks at the DataSource connected to the TDBGrid and then looks at the DataSet property of the DataSource to determine the TTable or TQuery from which the information must flow.

Suppliers of grid components which are derived from a lower level e.g. from TCustomGrid can contact us to supply print support in the TPrintGridReport component for their products.


TPrintGridReport BorderRight
BorderRight Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property BorderRight: Real;

Description

Indicates the border on the right side of the page where there should be no printing. Measurements are in Inches or Centimetre depending on the setting of Units.


TPrintGridReport BorderLeft
BorderLeft Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property BorderLeft: Real;

Description

Indicates the border on the left side of the page where there should be no printing. Measurements are in Inches or Centimetre depending on the setting of Units.


TPrintGridReport Brush
Brush Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property Brush: TBrush;

Description

Indicates the brush which should be used for the background and for filling in objects e.g. rectangles, arcs, etc. Please note that if a component has a brush property then that will be used instead.


Multi Language Support

Applies to

TPrintGridReport components

Description

Multi Language Support allows the programmer to change the text on the buttons and Dialog boxes which are used in the Viewer.

To change the langauge do the following:

Make sure your PATH includes the DELPHI\BIN directory because the BORLAND RESOURCE COMPILER (BRC) is easiest to run from a DOS prompt. If not set you will get a "Bad Command or File name Error"

 Edit the file named STRING.RC in the Reportit component directory

 Compile the file with the Borland Resource compiler e.g.

      BRC  -r STRING.RC

 Include the generated .RES file in your main application

      {$R STRING.RES}

(The best is to include it like this

implementation

{$R *.DFM}

{$R STRING.RES}

 Recompile and link your application


TPrintGridReport FooterEnabled
FooterEnabled Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property FooterEnabled:  Boolean

Description

Indicate if the footer should print on the page. The default value is True;


TPrintGridReport FooterFilled
FooterFilled Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property FooterFilled:  Boolean

Description

Indicate if the footer should be filled with the current brush. The default value is False


TPrintGridReport FooterOutlined
FooterOutlined Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property FooterOutlined:  Boolean;

Description

Indicate if the footer should be outlined with the current pen. The default value is False.


TPrintGridReport FooterString
FooterString Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property FooterString:  String

Description

Indicate the string that should appear as the Footer.


TPrintGridReport FooterTop
FooterTop Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property FooterTop:  Real;

Description

Indicates the top position  where the footer should start printing. Measurements are in Inches or Centimetre depending on the setting of Units.


TPrintGridReport HeaderEnabled
HeaderEnabled Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property HeaderEnabled:  Boolean

Description

Indicate if the header should print on the page. The default value is True;


HeaderStringRight
HeaderStringRight Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property HeaderStringRight:  String

Description

Indicate the string that should appear on the right top of the report.


TPrintGridReport HeaderFilled
HeaderFilled Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property HeaderFilled:  Boolean

Description

Indicate if the header should be filled with the current brush. The default value is False


TPrintGridReport HeaderOutlined
HeaderOutlined Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property HeaderOutlined:  Boolean

Description

Indicate if the header should be outlined with the current pen. The default value is False.


FrameStyleBottom
FrameStyleBottom Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property FrameStyleBottom:  TFrameStyles;

Description

See FrameStyleLeft for details.


TPrintGridReport HeaderTop
HeaderTop Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property HeaderTop: Real;

Description

The HeaderTop property determines the vertical coordinate of the top edge of the Header if the header is to be printed. Measurements are in Inches or Centimetre depending on the setting of Units.


TPrintGridReport Name
Name Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property Name: TComponentName;

Description

The Name property contains the name of the component as referenced by other components. By default, Delphi assigns sequential names based on the type of the component, such as 'Button1', 'Button2', and so on. You may change these to suit your needs.

Note:	Change component names only at design time.


TPrintGridReport Pen
Pen Property

Applies to

TPrintGridReport component

Declaration

property Pen:  TPen;

Description

A canvas object's Pen property determines what kind of pen the canvas uses for drawing lines and shape outlines.


GridMinWidth
GridMinWidth Property

Applies to

TPrintGridReport component

Declaration

property GridMinWidth  Boolean

Description

Indicates if the Grid should be adjusted to fit the text in the grid.


Filename
Filename Property

Applies to

TPrintFile components

Declaration

property Filename:  string;

Description

Indicates the filename of the file which must be printed.


FrameStyleRight
FrameStyleRight Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property FrameStyleRight:  TFrameStyles;

Description

See FrameStyleLeft for details.


TPrintGridReport Tag
Tag Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property Tag:  LongInt

Description

The Tag property is available to store an integer value as part of a component. This is the default Delphi Tag property which the user can use.


ContentsFont
ContentsFont Property

Applies to

TPrintFile components

Declaration

property ContentsFont: TFont;

Description

Indicates the font which will be used to print the contents of the text file.


TPrintGridReport Methods

Execute

SetPrintTotal

SetSubTotalField

SetGridFont


OutputTo
OutputTo Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property OutputTo TOutput;

Description

Indicates where the output will be sent to. This can take on the values of poPrinter or poViewer.


TPrintGridReport Execute
Execute Method

Applies to

TPrintGridReport  and TPrintFile components

Declaration

procedure Execute;

Description

Executes a TPrintGridReport


TPrintGridReport OnAfterPrint
OnAfterPrint Event

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property OnAfterPrint: TNotifyEvent;

Description

The OnAfterPrint event occurs after the complete Report has been printed. Your application can use this event to do any necessary cleanup.


TPrintGridReport OnBeforePrint
OnBeforePrint Event

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property OnBeforePrint:  TNotifyEvent;

Description

The OnBeforePrint event occurs before anything has been printed. Your application can use this event to do any necessary initialization.


HeaderFont
HeaderFont Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property HeaderFont: TFont;

Description

Indicates the font which will be used to print the Header at the top of the page.


TPrintGridReport OnNewPage
OnNewPage Event

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property OnNewPage:  TNotifyEvent;

Description

The OnNewPage: event occurs before a new page starts printing. Your application can use this event to do any necessary cleanup per page.


TPrintGridReport OnPrint
OnPrint Event

Applies to

 TPrintFile component

Declaration

property OnPrint:  TNotifyEvent;

Description

The OnPrint event occurs before printing starts for each page. Your application can use this event to do any necessary initialization


TPrintGridReport OnPrintHeader
OnPrintHeader Event

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property OnPrintHeader: TNotifyEvent;

Description

The OnPrintHeader event occurs before the header is printed. Your application can use this event to do any necessary initialization


TPrintGridReport OnPrintFooter
OnPrintFooter Event

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property OnPrintFooter: TNotifyEvent;

Description

The OnPrintFooter event occurs before the footer is printed. Your application can use this event to do any necessary initialization


TPrintGridReport OnPrintTable
OnPrintPage Event

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property OnPrintTable TNotifyEvent;

Description

The OnPrintTable event occurs before a table or query is printed. Your application can use this event to do any necessary initialization


TPrintGridReport OnPrintPage
OnPrintPage Event

Applies to

TPrintFile component

Declaration

property OnPrintPage: TNotifyEvent;

Description

The OnPrintPage event occurs before the page is printed. Your application can use this event to do any necessary initialization


About
About Property

Applies to

TPrintGridReport  component

Declaration

property About  string

Description

Contains the version number


ViewHeading
ViewHeading Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property ViewHeading: string;

Description

Indicates the Window header when using the Print Viewer.


FrameStyleLeft
FrameStyleLeft Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property FrameStyleLeft:  TFrameStyles;

Description

Indicates the style which should be used to draw the left side of an outline if the outline property (HeaderoutLined, HeadingOutlined or FooterOutlined) is set to True. Valid styles are

frNone,

frSingleThick,

frSingleThin,

frDoubleThick,

frDoubleThin,

     	frDoubleThickThin,

frDoubleThinThick


FooterFont
FooterFont Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property FooterFont: TFont;

Description

Indicates the font which will be used to print the Footer at the bottom of the page.


FixSansSerif
FixSansSerif Property

Applies to

TPrintGridReport components

Declaration

property FixSansSerif:  Boolean

Description

If set to True then all occurences of MS Sans Serif fonts will be replaced with Arial. This is done because the MS Sans Serif Font does not scale very well.


TPrintFile Events

OnAfterPrint

OnBeforePrint

OnNewPage

OnPrint

OnPrintFooter

OnPrintHeader

OnPrintPage


TPrintWin FrameObjects
FrameObjects Property

Applies to

TPrintGridReport components

Declaration

property FrameObjects: Boolean;

Description

Indicates if objects are to be framed. The default is True.


TPrintWin FrameStyle
FrameStyle Property

Applies to

TPrintGridReport components

Declaration

property FrameStyle: TFrameStyle;

Description

Determines the style of frame which will be drawn around objects. Valid values are

frThin

frThinThin

frThinThick

frThickThin

frThickThick


LineWidth
LineWidth Property

Applies to

TPrintGridReport components

Declaration

property LineWidth:  Integer;

Description

Determines the width of the line which is used for drawing. The default is 1.


TPrintWin BorderTop
BorderTop Property

Applies to

TPrintGridReport component

Declaration

property BorderTop:  Real

Description

Indicates the border in Inches or Centimetre on the top side of the page where there should be no printing.

Measurements are in Inches or Centimetre depending on the setting of Units.


  TPrintFile Component

Properties	Methods	Events

Unit

PrnFile

Description

The PrintFile component is used to print text files.

Numerous settings can be applied to change the appearance of the PrintFile component.  Fonts, Colors and brushes can be changed as deemed necessary. Use the FooterEnabled ,FooterFilled, FooterOutlined, FooterString, FooterTop , FrameStyleBottom, FrameStyleLeft, FrameStyleTop, FrameStyleRight properties to format and display the footer. Use the HeaderEnabled , HeaderFilled ,HeaderOutlined , HeaderStringLeft, HeaderStringRight, HeaderStringCenter,   FrameStyleBottom, FrameStyleLeft, FrameStyleTop, FrameStyleRight properties to format and display the header.

The Filename property determines the name of the file to be printed. The TabSpaces property determines the number of spaces which will be inserted when a tab is encountered in the file. The ContentsFont, HeaderFont and FooterFont properties determine the fonts that will be used.

The BorderTop, BorderLeft and BorderRight properties determine the borders. The LineSpacing property determine the distance between 2 lines when printing the contents of a window.

The Orientation properties determine the orientation of the printed output. The ViewBkColor and ViewHeading determine the appearance of the Print Viewer.


FooterStringRight
FooterStringRight Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property FooterStringRight  Real;

Description

Contains the Right Footer String.

Example:

Printed on @Date at @Time

@Date and @Time will be replaced with the current Date and Time. Could also contain @Page which will be replaced by the current page.


HeaderStringLeft
HeaderStringLeft Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property HeaderStringLeft:  String

Description

Indicate the string that should appear on the top left of the report


HeaderStringCenter
HeaderStringCenter Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property HeaderStringCenter:  String

Description

Indicate the string that should appear in the top center of the report


ContentsLeft
ContentsLeft Property

Applies to

TPrintFile components

Declaration

property ContentsLeft: Real;

Description

Indicates the left side of the page where no printing should take place. Measurements are in Inches or Centimetre depending on the setting of the Units property.


GridHeadingCol
GridHeadingCol Property

Applies to

TPrintGridReport  component

Declaration

property GridHeadingCol: Real;

Description

Indicates the horizontal starting column of the grid measured in Inches or centimetre.


LineSpacing
LineSpacing Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property LineSpacing: String

Description

Indicates the distance between two lines. A value of 1.0 would insert the height of the text in between the two lines.


GridHeadingEnabled
GridHeadingEnabled Property

Applies to

TPrintGridReport components

Declaration

property HeadingEnabled:  Boolean

Description

Indicate if the heading should print on the page. The default value is True;


Units
Units Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property Units: TUnits;

Description

Indicates the measurement system which must be used. Allowed values are:

poInches

poCentimetres


ViewBkColor
ViewBkColor Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property ViewBkColor: TColor;

Description

Indicates the background color which will be used when using the Print Viewer .


TotalString
TotalString Property

Applies to

TPrintGridReport  component

Declaration

property TotalString  string

Description

The TotalString is the string which displays next to the totals at the bottom of the report


GridHeadingFilled
GridHeadingFilled Property

Applies to

TPrintGridReport components

Declaration

property GridHeadingFilled  Boolean

Description

Indicates if the Heading of the grid should be filled.


SubTotalString
SubTotalString Property

Applies to

TPrintGridReport  component

Declaration

property SubTotalString  string

Description

The SubTotalString is the string which displays next to the subtotals at the bottom of a group


Support
Support Information

Support is available from the following:

E-mail:	calitzbros@2-hot.com

Internet home page	http://calitzbros.simplenet.com

Fax	+27 12 342 5269


SetGridFont
SetGridFont Method

Applies to

 TPrintGridReport Component

Declaration

procedure  SetGridFont (Name: String; Height: Integer; Style: TFontStyles);

Description

Sets the font that is used to print the contents of the Grid This must be set before the Execute method is called if you want the component to minimize the size of the Query.


Grid
Grid Property

Applies to

TPrintGridReport components

Declaration

property Grid: TDBGrid

Description

Indicate which TDBGrid should be connected to.


Infopower
Infopower Support

Applies to

TPrintGridReport components

Description

Infopower support is an optional extra supplied by Calitz Bros. It functions as follows:

The basic ability to print Infopower components and particularly their Grid has been built into Reportit. However we cannot supply their components with Reportit as that would be a breach of copyright. So the developer who requests Infopower print support has to supply us with his/her Infopower components (it must be a registered Infopower package). We then recompile Reportit and link it with the Infopower components and send the user the new Reportit with Infopower support and delete his/her Infopower components from our computer. We will not supply any other person or persons with your new Reportit or your Infopower components. For this service we charge a fee which will be revised from time to time.

The reason we have to recompile and link the Infopower components is that in this way we can support all their different versions.

Note: For any user to make use of this extra service they must have:

 A valid registered Infopower package

 A valid registered Reportit package

See our Web Page for the latest prices


TPrintFile Methods

Execute


GridHeadingRow
GridHeadingRow Property

Applies to

TPrintGridReport  component

Declaration

property GridHeadingRow: Real;

Description

Indicates the vertical starting column of the grid measured in Inches or centimetre.


Print Viewer

The PrintViewer is built into the ReportIt! components and can view and prints files that are generated by ReportIt!. It is called from within the ReportIt!! components.

It looks in the current directory for all metafiles beginning with PRN and displays them on the screen. It has built in functions like ZOOM, PAN etc.

The following settings can be done from a TPrintGridReport  or a  TPrintFile which customizes the Print Viewer. ViewBkColor and ViewHeading.


GridCentered
GridCentered Property

Applies to

TPrintGridReport components

Declaration

property GridCentered  Boolean

Description

Indicates if the TDBGrid should be centered horizontally on the screen. The default is True;


Types

Unit

CB_Types

Description

All the types  are in unit CB_Types. If you are coming from an earlier version of Reportit then please make sure that this unit is included.

The following types are used:

  TFrameStyle = 	(frThin, frThinThin, frThinThick,frThickThin, frThickThick);

  TPosition = 	(poLeft, poCenter, poRight);

  TUnits = 	(poInches, poCentimetres);

  TOutput = 	(poPrinter, poViewer);

  TOrient = 	(Default, Landscape, Portrait);

  TFrameStyles = 	(frNone, frSingleThick, frSingleThin, frDoubleThick, frDoubleThin,  frDoubleThickThin,frDoubleThinThick);

  TDBInput = 	(frTDBMemo);

  TPageLayout = 	(pl_1x1, pl_1x2, pl_1x3, pl_1x4, pl_2x2, pl_2x4);

  TPagesToPrint = 	(pAll, pOdd, pEven);


SetSubTotalField
SetSubTotalField Method

Applies to

TPrintGridReport Component

Declaration

procedure SetSubTotalField (SubTotalNo Integer; FieldName String; DisplayString: string);

Description

Subtotals can be extracted for a maximum of 5 fields. Reportit will combine the fields and print a subtotal for each combination. The DisplayString will be printed as the header of the group. The subtotal comment can be set with the SubTotalString property and the Total comment with the TotalString property. These 2 properties can contain the count of the records.

e.g.

** SubTotal of @RecCount Orders **

At runtime the @RecCount will be replaced by the count for that sub group.


SetPrintTotal
SetPrintTotal Method

Applies to

TPrintGridReport Component

Declaration

procedure SetPrintTotal(FField: String; NewValue: Boolean);

Description

Indicates if a total should be printed for a field.


DisableControls
DisableControls Property

Applies to

 TPrintGridReport Components

Declaration

property DisableControls  Boolean;

Description

Indicate if the controls should scroll while preparing to print. Default is False - No scrolling.


PrintSubTotals
PrintSubTotals Property

Applies to

TPrintGridReport Components

Declaration

property PrintSubTotals  Boolean;

Description

Indicate if subtotals should be printed for the Query or Table  Default is False - No subtotals. See also SetSubTotalField.


Interrupted
Interrupted Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property Interrupted  Boolean;

Description

Indicates if the prepare of the printout or the printing on the printer was interrupted. Default is False.


Orientation
Orientation Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property Orientation TOrient;

Description

Indicates the orientation of the output on either the Viewer or the printer. This can take on the values of Default, Landscape or Portrait.


GetReportWidth
GetReportWidth Method

Applies to

TPrintGridReport Component

Declaration

function  GetReportWidth: Integer;

Description

The GetReportWidth method returns the total width of the columns that will be printed in Pixels

Example:

procedure TForm1.Button1Click(Sender: TObject);

begin

if  PrintGridReport1.GetReportWidth >  Printer.pageWidth then begin

MessageDlg('The Report is too wide',mtInformation, [mbYes], 0);

Exit;

end;

PrintGridReport1.GetReportWidth

end;


GridPrintTotal
GridPrintTotal Property

Applies to

TPrintGridReport components

Declaration

property GridPrintTotal  Boolean

Description

Indicates if totals should be printed at the end of the grid.


GridLines
GridLines Property

Applies to

TPrintGridReport components

Declaration

property GridLines  Boolean

Description

Indicates if lines should be drawn around the grid.


GridHeadingOutlined
GridHeadingOutlined Property

Applies to

TPrintGridReport component

Declaration

property GridHeadingOutlined  Boolean

Description

Indicates if the Heading shoul be outlined.


  TPrintMemo Component

Properties	Methods	Events

Unit

PrMeo

Description

The PrintMemo component is used to print TDBMemo or TMemo fields.

Numerous settings can be applied to change the appearance of the PrintMemo component.  Fonts, Colors and brushes can be changed as deemed necessary. Use the FooterEnabled ,FooterFilled, FooterOutlined, FooterString, FooterTop , FrameStyleBottom, FrameStyleLeft, FrameStyleTop, FrameStyleRight properties to format and display the footer. Use the HeaderEnabled , HeaderFilled ,HeaderOutlined , HeaderStringLeft, HeaderStringRight, HeaderStringCenter,   FrameStyleBottom, FrameStyleLeft, FrameStyleTop, FrameStyleRight properties to format and display the header.

The Memo property determines the Memo or TDBMemo to be printed. The ContentsFont, HeaderFont and FooterFont properties determine the fonts that will be used.

The BorderTop, BorderLeft and BorderRight properties determine the borders. The LineSpacing property determine the distance between 2 lines when printing the contents of a window.

The FlowLines property determines if the lines are printed as is or concatenated to the end of one another.

The Orientation properties determine the orientation of the printed output. The ViewBkColor and ViewHeading determine the appearance of the Print Viewer.


TPrintFile Properties

BorderLeft

BorderRight

Brush

ContentsFont

ContentsLeft

Filename

FooterEnabled

FooterFilled

FooterFont

FooterOutlined

FooterString

FooterTop

FrameStyleBottom

FrameStyleLeft

FrameStyleRight

FrameStyleTop

HeaderEnabled

HeaderFilled

HeaderFont

HeaderOutlined

HeaderStringCenter

HeaderStringLeft

HeaderStringRight

HeaderTop

Interrupted

LineSpacing

Name

Orientation

OutputTo

Tag

Units

ViewBkColor

ViewHeading


FrameStyleTop
FrameStyleTop Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property FrameStyleTop:  TFrameStyles;

Description

See FrameStyleLeft for details.


ReportStyle
ReportStyle Property

Applies to

TPrintGridReport  component

Declaration

property ReportStyle  string

Description

Contains the style of the report


wwGrid
wwGrid Property

Applies to

TPrintGridReport components

Declaration

property wwGrid:  TwwGrid

Description

Indicate which Infopower grid the TPrintGridReport  should be connected to. This is ONLY valid if the separately sold Infopower option has been linked into TPrintGridReport.


FooterStringLeft
FooterStringLeft Property

Applies to

TPrintGridReport  and TPrintFile components

Declaration

property FooterStringLeft  Real;

Description

Contains the Left Footer String.

Example:

Printed on @Date at @Time

@Date and @Time will be replaced with the current Date and Time. Could also contain @Page which will be replaced by the current page.


TPrintGridReport Properties

About

BorderLeft

BorderRight

Brush

DisableControls

FooterEnabled

FooterFilled

FooterFont

FooterOutlined

FooterString

FooterStringLeft

FooterStringRight

FooterTop

FrameStyleBottom

FrameStyleLeft

FrameStyleRight

FrameStyleTop

Grid

GridCentered

GridHeadingCol

GridHeadingEnabled

GridHeadingFilled

GridHeadingOutlined

GridHeadingRow

GridLines

GridMinWidth

GridPrintTotal

HeaderEnabled

HeaderFilled

HeaderFont

HeaderOutlined

HeaderStringCenter

HeaderStringLeft

HeaderStringRight

HeaderTop

Interrupted

LineSpacing

Name

Orientation

OutputTo

Pen

PrintSubTotals

ReportStyle

SubTotalString

Tag

TotalString

Units

ViewBkColor

ViewHeading

wwGrid